#pragma once
#include "FFGL.h"
#include "ParamFloat.h"

namespace ffgl
{

class ParamBool : public ParamFloat
{
public:
	ParamBool( const std::string& name, bool defaultValue = false );
	ParamBool( const std::string& name, const std::string& uniformName, bool defaultValue = false );
	ParamBool( const std::string& name, ParameterType type, bool defaultValue = false );
	ParamBool( const std::string& name, ParameterType type, const std::string& uniformName, bool defaultValue = false );

	const std::string& GetDisplay() const override;

	virtual bool GetBoolDefault() const;
	virtual bool GetBoolValue() const;
	virtual void SetBoolValue( bool boolValue );
};

}//End namespace ffgl
