#pragma once
#include "Plugin.h"

namespace ffglqs
{

class Effect : public Plugin
{
public:
	Effect();
	~Effect();

	template< typename PluginType >
	static PluginInstance createPlugin( ffgl::PluginInfo infos );

	virtual ffgl::FFResult Render( ffgl::ProcessOpenGLStruct* pGL ) override;
};

template< typename PluginType >
inline PluginInstance Effect::createPlugin( ffgl::PluginInfo infos )
{
	return Plugin::createPlugin< PluginType >( infos, ffgl::PluginType::FF_EFFECT );
}

}// namespace ffglqs
